## org.apache.batik.script.rhino
Class WindowWrapper

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.mozilla.javascript.IdScriptableObject
              org.mozilla.javascript.ImporterTopLevel
                  org.apache.batik.script.rhino.WindowWrapper

All Implemented Interfaces:
  java.io.Serializable, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.IdFunctionCall, org.mozilla.javascript.Scriptable

Direct Known Subclasses:
  GlobalWrapper

    public class WindowWrapper

extends org.mozilla.javascript.ImporterTopLevel

This class wraps a Window object to expose it to the interpreter. This will be the Global Object of our interpreter.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` `WindowWrapper.FunctionWrapper` To wrap a function in an handler.
`protected static class` `WindowWrapper.GetURLFunctionWrapper` To wrap a function passed to getURL().

Field Summary
`protected RhinoInterpreter` `interpreter` The rhino interpreter.
`protected Window` `window` The wrapped window.

Fields inherited from class org.mozilla.javascript.ScriptableObject
`DONTENUM, EMPTY, PERMANENT, READONLY`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`WindowWrapper(org.mozilla.javascript.Context context)` Creates a new WindowWrapper.

Method Summary
`static void` `alert(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'alert' method of the Window interface.
`static void` `clearInterval(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'clearInterval' method of the Window interface.
`static void` `clearTimeout(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'clearTimeout' method of the Window interface.
`static java.lang.Object` `confirm(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'confirm' method of the Window interface.
`java.lang.String` `getClassName()`
`static void` `getURL(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'getURL' method of the Window interface.
`static java.lang.Object` `parseXML(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'parseXML' method of the Window interface.
`static void` `postURL(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'postURL' method of the Window interface.
`static java.lang.Object` `prompt(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'prompt' method of the Window interface.
`static java.lang.Object` `setInterval(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'setInterval' methods of the Window interface.
`static java.lang.Object` `setTimeout(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args, org.mozilla.javascript.Function funObj)` Wraps the 'setTimeout' methods of the Window interface.
`java.lang.String` `toString()`

Methods inherited from class org.mozilla.javascript.ImporterTopLevel
`execIdCall, findPrototypeId, get, has, importPackage, init, initPrototypeId, initStandardObjects`

Methods inherited from class org.mozilla.javascript.IdScriptableObject
`activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultPut, delete, exportAsJSClass, fillConstructorProperties, findInstanceIdInfo, getAttributes, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, hasPrototypeMap, incompatibleCallError, initPrototypeConstructor, initPrototypeMethod, initPrototypeValue, instanceIdInfo, put, setAttributes, setInstanceIdValue`

Methods inherited from class org.mozilla.javascript.ScriptableObject

`associateValue, callMethod, callMethod, defineClass, defineClass, defineClass, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, equivalentValues, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, hasInstance, hasProperty, hasProperty, isSealed, put, putProperty, putProperty, sealObject, setAttributes, setAttributes, setAttributes, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### interpreter

    protected RhinoInterpreter interpreter

  The rhino interpreter.

### window

    protected Window window

  The wrapped window.

Constructor Detail

### WindowWrapper

    public WindowWrapper(org.mozilla.javascript.Context context)

  Creates a new WindowWrapper.

Method Detail

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `getClassName` in class `org.mozilla.javascript.ImporterTopLevel`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setInterval

    public static java.lang.Object setInterval(org.mozilla.javascript.Context cx,
                                               org.mozilla.javascript.Scriptable thisObj,
                                               java.lang.Object[] args,
                                               org.mozilla.javascript.Function funObj)

  Wraps the 'setInterval' methods of the Window interface.

### setTimeout

    public static java.lang.Object setTimeout(org.mozilla.javascript.Context cx,
                                              org.mozilla.javascript.Scriptable thisObj,
                                              java.lang.Object[] args,
                                              org.mozilla.javascript.Function funObj)

  Wraps the 'setTimeout' methods of the Window interface.

### clearInterval

    public static void clearInterval(org.mozilla.javascript.Context cx,
                                     org.mozilla.javascript.Scriptable thisObj,
                                     java.lang.Object[] args,
                                     org.mozilla.javascript.Function funObj)

  Wraps the 'clearInterval' method of the Window interface.

### clearTimeout

    public static void clearTimeout(org.mozilla.javascript.Context cx,
                                    org.mozilla.javascript.Scriptable thisObj,
                                    java.lang.Object[] args,
                                    org.mozilla.javascript.Function funObj)

  Wraps the 'clearTimeout' method of the Window interface.

### parseXML

    public static java.lang.Object parseXML(org.mozilla.javascript.Context cx,
                                            org.mozilla.javascript.Scriptable thisObj,
                                            java.lang.Object[] args,
                                            org.mozilla.javascript.Function funObj)

  Wraps the 'parseXML' method of the Window interface.

### getURL

    public static void getURL(org.mozilla.javascript.Context cx,
                              org.mozilla.javascript.Scriptable thisObj,
                              java.lang.Object[] args,
                              org.mozilla.javascript.Function funObj)

  Wraps the 'getURL' method of the Window interface.

### postURL

    public static void postURL(org.mozilla.javascript.Context cx,
                               org.mozilla.javascript.Scriptable thisObj,
                               java.lang.Object[] args,
                               org.mozilla.javascript.Function funObj)

  Wraps the 'postURL' method of the Window interface.

### alert

    public static void alert(org.mozilla.javascript.Context cx,
                             org.mozilla.javascript.Scriptable thisObj,
                             java.lang.Object[] args,
                             org.mozilla.javascript.Function funObj)

  Wraps the 'alert' method of the Window interface.

### confirm

    public static java.lang.Object confirm(org.mozilla.javascript.Context cx,
                                           org.mozilla.javascript.Scriptable thisObj,
                                           java.lang.Object[] args,
                                           org.mozilla.javascript.Function funObj)

  Wraps the 'confirm' method of the Window interface.

### prompt

    public static java.lang.Object prompt(org.mozilla.javascript.Context cx,
                                          org.mozilla.javascript.Scriptable thisObj,
                                          java.lang.Object[] args,
                                          org.mozilla.javascript.Function funObj)

  Wraps the 'prompt' method of the Window interface.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.